import { DialogOption } from '@translations/redact-text-translations';
import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';

export const rectangleRedactTranslations: Record<'onlyThisPage' | 'multiplePages', DialogOption> = {
    onlyThisPage: {
        label: _('manual-annotation.dialog.content.options.only-this-page.label'),
        description: _('manual-annotation.dialog.content.options.only-this-page.description'),
    },
    multiplePages: {
        label: _('manual-annotation.dialog.content.options.multiple-pages.label'),
        description: _('manual-annotation.dialog.content.options.multiple-pages.description'),
        extraOptionLabel: _('manual-annotation.dialog.content.options.multiple-pages.extraOptionLabel'),
        extraOptionDescription: _('manual-annotation.dialog.content.options.multiple-pages.extraOptionDescription'),
        extraOptionPlaceholder: _('manual-annotation.dialog.content.options.multiple-pages.extraOptionPlaceholder'),
    },
} as const;

export const editRectangleTranslations: Record<'onlyThisPage' | 'multiplePages', DialogOption> = {
    onlyThisPage: {
        label: _('edit-rectangle.dialog.content.options.only-this-page.label'),
        description: _('edit-rectangle.dialog.content.options.only-this-page.description'),
    },
    multiplePages: {
        label: _('edit-rectangle.dialog.content.options.multiple-pages.label'),
        description: _('edit-rectangle.dialog.content.options.multiple-pages.description'),
        extraOptionLabel: _('edit-rectangle.dialog.content.options.multiple-pages.extraOptionLabel'),
        extraOptionDescription: _('edit-rectangle.dialog.content.options.multiple-pages.extraOptionDescription'),
        extraOptionPlaceholder: _('edit-rectangle.dialog.content.options.multiple-pages.extraOptionPlaceholder'),
    },
} as const;

export const removeRectangleTranslations: Record<'onlyThisPage' | 'multiplePages', DialogOption> = {
    onlyThisPage: {
        label: _('remove-rectangle.dialog.content.options.only-this-page.label'),
        description: _('remove-rectangle.dialog.content.options.only-this-page.description'),
    },
    multiplePages: {
        label: _('remove-rectangle.dialog.content.options.multiple-pages.label'),
        description: _('remove-rectangle.dialog.content.options.multiple-pages.description'),
        extraOptionLabel: _('remove-rectangle.dialog.content.options.multiple-pages.extraOptionLabel'),
        extraOptionDescription: _('remove-rectangle.dialog.content.options.multiple-pages.extraOptionDescription'),
        extraOptionPlaceholder: _('remove-rectangle.dialog.content.options.multiple-pages.extraOptionPlaceholder'),
    },
} as const;
